import java.awt.Dimension;

import javax.swing.JComponent;
import javax.swing.JFrame;

import valeurs.ValeurNegativeException;
import valeurs.Valeurs;
import valeurs.ValeursImpl;
import valeurs.ValeursObservables;
import vue.HistogrammeObserver;

public class Test {
	public static void main(String[] args) throws ValeurNegativeException, InterruptedException {
		Valeurs v = new ValeursImpl(1., 2., 3.);
		ValeursObservables vo = new ValeursObservables(v);
		JComponent h = new HistogrammeObserver(vo);
		JFrame f = new JFrame("Histogramme");
		f.add(h);
		f.setPreferredSize(new Dimension(200, 200));
		f.setLocationRelativeTo(null);
		f.pack();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setVisible(true);
		for (int i = 0; i < 10; i++) {
			Thread.sleep(2000);
			vo.changerValeur(1, vo.valeur(1) + 1);
		}
	}
}
